BEGIN LORDVAMP

IF ~See(Player1)
  Global("TalkedSurrender","LOCALS",1)~
THEN BEGIN greetingSurrender
   SAY ~You have defeated us. I respect your might. But we don't want to die. I am asking you, if you could spare us, please.~
   IF ~Gender(Player1,FEMALE)~ THEN REPLY ~What can you offer for your lives?~ GOTO vampSurr1F
   IF ~!Gender(Player1,FEMALE)~ THEN REPLY ~What can you offer for your lives?~ GOTO vampSurr1M 
 IF ~Race(Player1,VAMPIRE)
   !Gender(Player1,FEMALE)~ THEN REPLY ~You will acknowledge me your master and serve me. Or die.~ GOTO vampSurr2M
   IF ~Race(Player1,VAMPIRE)
   Gender(Player1,FEMALE)~ THEN REPLY ~You will acknowledge me your mistress and serve me. Or die.~ GOTO vampSurr2F
   IF ~!Race(Player1,VAMPIRE)
   !Gender(Player1,FEMALE)~ THEN REPLY ~You can swear fidelity to me and become my servants, than I will spare you.~ GOTO vampSurr3M
   IF ~!Race(Player1,VAMPIRE)
   Gender(Player1,FEMALE)~ THEN REPLY ~You can swear fidelity to me and become my servants, than I will spare you.~ GOTO vampSurr3F   
   IF ~~ THEN REPLY ~You are evil and will die here!~ GOTO vampSurrFight
END

IF ~~ vampSurrFight
  SAY ~We don't have powers to fight you. Clairis, we gonna die. Let me kiss you one last time, my love. Goodbye...~
  IF ~~ THEN DO ~CreateVisualEffect("spfleshs",[440.438])
  ActionOverride("clairis",DestroySelf())
   CreateVisualEffect("spfleshs",[340.390])
     SetGlobal("Coffin1","DSC009",1)
  SetGlobal("Coffin2","DSC009",1)
//  SetGlobal("DearthmacWeak","DSC009",1)
//  SetGlobal("ClairisWeak","DSC009",1)  
SetGlobal("TalkedSurrender","LOCALS",2)
  DestroySelf()
~ EXIT
END 

IF ~~ vampSurr1M
   SAY ~Listen, man, we will pay you 50000 gold for letting us retreat.~
   IF ~~ THEN REPLY ~It's such a small sum. I better kill you.~ GOTO vampSurr5M
   IF ~~ THEN REPLY ~Okay, give me money and get out of there.~ GOTO vampSurr6M
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr1F
   SAY ~Woman, we will pay you 50000 gold for letting us retreat.~
   IF ~~ THEN REPLY ~Okay, give me money and get out of there.~ GOTO vampSurr6F
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr5M
   SAY ~Wait, wait! We can add 7500 gold, and that's all my noble bloodline had.~
    IF ~~ THEN REPLY ~Okay, give me money and get out of there.~ GOTO vampSurrGold2M 
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr5F
   SAY ~Wait, wait! We can add 7500 gold, and that's all my noble bloodline had.~
    IF ~~ THEN REPLY ~Okay, give me money and get out of there.~ GOTO vampSurrGold2F
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr6M
  SAY ~Thank you, man. Take these money and let us go.~
   IF ~~ THEN DO ~GiveGoldForce(50000)
ActionOverride("clairis",EscapeArea())
SetGlobal("DaerthmacFleeCastle","GLOBAL",1)
SetGlobal("TalkedSurrender","LOCALS",2)
EscapeArea()~ EXIT
END

IF ~~ vampSurr6F
  SAY ~Thank you, woman. Take these money and let us go.~
   IF ~~ THEN DO ~GiveGoldForce(50000)
ActionOverride("clairis",EscapeArea())
SetGlobal("DaerthmacFleeCastle","GLOBAL",1)
SetGlobal("TalkedSurrender","LOCALS",2)
EscapeArea()~ EXIT
END


IF ~~ vampSurrGold2M
  SAY ~Take money and let us go. You are a robber!~
   IF ~~ THEN DO ~GiveGoldForce(57500)
ActionOverride("clairis",EscapeArea())
SetGlobal("DaerthmacFleeCastle","GLOBAL",1)
SetGlobal("TalkedSurrender","LOCALS",2)
EscapeArea()~ EXIT
END

IF ~~ vampSurrGold2F
  SAY ~Take money and let us go. You are a thief!~
   IF ~~ THEN DO ~GiveGoldForce(57500)
ActionOverride("clairis",EscapeArea())
SetGlobal("DaerthmacFleeCastle","GLOBAL",1)
SetGlobal("TalkedSurrender","LOCALS",2)
EscapeArea()~ EXIT
END

IF ~~ vampSurrLeaveM
  SAY ~Thank you, man. Your heart is mercyful. Clairis, come with me. We are moving out.~
   IF ~~ THEN DO ~SetGlobal("DaerthmacFleeCastle","GLOBAL",1)
ActionOverride("clairis",EscapeArea())
SetGlobal("TalkedSurrender","LOCALS",2)
EscapeArea()~ EXIT
END

IF ~~ vampSurrLeaveF
  SAY ~Thank you, woman. Your heart is mercyful. Clairis, come with me. We are moving out.~
   IF ~~ THEN DO ~SetGlobal("DaerthmacFleeCastle","GLOBAL",1)
ActionOverride("clairis",EscapeArea())
SetGlobal("TalkedSurrender","LOCALS",2)
EscapeArea()~ EXIT
END


IF ~~ vampSurr2F
   SAY ~We lost in a fight. We both can join you, we don't like an alternative. You are a vampire yourself, so I think we can allow you as my mistress. I swear to serve you as long, as you need it, my mistress.~
   IF ~~ THEN REPLY ~Good, welcome to my party. Together we can archieve much more.~ GOTO vampSurr4F
   IF ~~ THEN REPLY ~On the second throught, I decided to let you live. Get out as fast as possible.~ GOTO vampSurrLeaveF
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr2M
   SAY ~We lost in a fight. We both can join you, we don't like an alternative. You are a vampire yourself, so I think we can allow you as my master. I swear to serve you as long, as you need it, my master.~
   IF ~~ THEN REPLY ~Good, welcome to my party. Together we can archieve much more.~ GOTO vampSurr4M
   IF ~~ THEN REPLY ~On the second throught, I decided to let you live. Get out as fast as possible.~ GOTO vampSurrLeaveM
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END


IF ~~ vampSurr3F
   SAY ~Me, to serve mortal? Don't know. But I know, we don't like an alternative. Good, we will acknowedge you our mistress. I swear to serve you as long, as you need it.~
   IF ~~ THEN REPLY ~Good, welcome to my party. Together we can archieve much more.~ GOTO vampSurrJoinF
   IF ~~ THEN REPLY ~On the second throught, I decided to let you live. Get out as fast as possible.~ GOTO vampSurrLeaveF
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr3M
   SAY ~We lost in a fight. We both can join you, we don't like an alternative. You are a vampire yourself, so I think we can allow you as my master. I swear to serve you as long, as you need it, my master.~
   IF ~~ THEN REPLY ~Good, welcome to my party. Together we can archieve much more.~ GOTO vampSurrJoinM
   IF ~~ THEN REPLY ~On the second throught, I decided to let you live. Get out as fast as possible.~ GOTO vampSurrLeaveM
   IF ~~ THEN REPLY ~Die, bloodsuckers!~ GOTO vampSurrFight 
END

IF ~~ vampSurr4M
   SAY ~Yes, master. Clairis, we are spared. Prepare for the road, we are going with them.~
   IF ~~ THEN DO ~ActionOverride("clairis",DestroyItem("VVHCLAIR"))
   ActionOverride("clairis",GiveItemCreate("VVCASKET",Myself,1,1,0))
     DestroyItem("VVHDAERT")
     GiveItemCreate("VVCASKET",Myself,1,1,0)
	 ActionOverride("clairis", JoinParty())
	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)
	 SetGlobal("TalkedSurrender","LOCALS",2)
	 JoinParty()
   ~ EXIT
END
   
IF ~~ vampSurr4F
   SAY ~Yes, mistress. Clairis, we are spared. Prepare for the road, we are going with them.~
   IF ~~ THEN DO ~ActionOverride("clairis",DestroyItem("VVHCLAIR"))
   ActionOverride("clairis",GiveItemCreate("VVCASKET",Myself,1,1,0))
     DestroyItem("VVHDAERT")
     GiveItemCreate("VVCASKET",Myself,1,1,0)
	 		 		  ActionOverride("clairis",SetDialog("CLAIRIS"))
	 ActionOverride("clairis", JoinParty())
	 	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)
SetGlobal("TalkedSurrender","LOCALS",2)
		  SetDialog("LORDVAMP")
	 JoinParty()
   ~ EXIT
END

IF ~~ vampSurrJoinM
   SAY ~Yes, man. Clairis, we are spared. Prepare for the road, we are going with them.~
   IF ~~ THEN DO ~ActionOverride("clairis",DestroyItem("VVHCLAIR"))
   ActionOverride("clairis",GiveItemCreate("VVCASKET",Myself,1,1,0))
     DestroyItem("VVHDAERT")
     GiveItemCreate("VVCASKET",Myself,1,1,0)
	 ActionOverride("clairis", JoinParty())
	 	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)
		  ActionOverride("clairis",SetDialog("CLAIRIS"))
		  SetGlobal("TalkedSurrender","LOCALS",2)
		  SetDialog("LORDVAMP")
	 JoinParty()
   ~ EXIT
END
   
IF ~~ vampSurrJoinF
   SAY ~Yes, woman. Clairis, we are spared. Prepare for the road, we are going with them.~
   IF ~~ THEN DO ~ActionOverride("clairis",DestroyItem("VVHCLAIR"))
   ActionOverride("clairis",GiveItemCreate("VVCASKET",Myself,1,1,0))
     DestroyItem("VVHDAERT")
     GiveItemCreate("VVCASKET",Myself,1,1,0)
		 		  ActionOverride("clairis",SetDialog("CLAIRIS"))	 
	 ActionOverride("clairis", JoinParty())
	 	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)
		 SetGlobal("TalkedSurrender","LOCALS",2)
		 		  SetDialog("LORDVAMP")
	 JoinParty()
   ~ EXIT
END

IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("DaerthmacResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~Ah, woman that killed me. Why did you resurrect me at all?~
   ++ ~I don't know.~ + briefingNV1f
   IF ~!InParty("clairis")~ THEN REPLY ~I have a weakness for men.~ GOTO briefingNV2fc   
   IF ~InParty("clairis")~ THEN REPLY ~I have a weakness for men.~ GOTO briefingNV2fnc   
   ++ ~I wanted to kill you again!~ + briefingFightf
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("DaerthmacResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Ah, man that killed me. Why did you resurrect me at all?~
   ++ ~I don't know.~ + briefingNV1m
   IF ~!InParty("clairis")~ THEN REPLY ~I have a weakness for men.~ GOTO briefingNV2mc   
   IF ~InParty("clairis")~ THEN REPLY ~I have a weakness for men.~ GOTO briefingNV2mnc   
   ++ ~I wanted to kill you again!~ + briefingFightm
END


IF ~~ briefingNV1f
  SAY ~Oh, I see. My manly manners and high ancestry blinded you. Perhaps you could allow me to stay alive?~
  IF ~!InParty("clairis")~ THEN REPLY  ~Join my party, noble lord. It will increase the rating and glamor of my party.~ GOTO briefingNV2fc  
  IF ~InParty("clairis")~ THEN REPLY  ~Join my party, noble lord. It will increase the rating and glamor of my party.~ GOTO briefingNV2fnc    
  ++ ~You are free. I release you.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV1m
  SAY ~Oh, I see. My manly manners and high ancestry were to your liking. Perhaps you could allow me to stay alive?~
  IF ~!InParty("clairis")~ THEN REPLY  ~Join my party, Daerthmac. It will increase the strength of my party.~ GOTO briefingNV2mc
  IF ~InParty("clairis")~ THEN REPLY  ~Join my party, Daerthmac. It will increase the strength of my party.~ GOTO briefingNV2mnc    
  ++ ~You are free. I release you.~ + briefingFreem
  ++ ~Die, bloodsucker!~ + briefingFightm
END

IF ~~ briefingNV2fc
  SAY ~My lady, I understand you. My graceful beauty and mind makes women go out of mind. But the place of my beloved is busy by Clairis. I don't see her with you. I beg you to resurrect her also.~
  ++ ~Join my party and prove your loyality, Daerthmac, maybe I decide to resurrect her for you.~ + briefingJoinNCf  
  ++ ~You are free. You can go anywhere you like. As for Clairis, I will think about her later.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV2mc
  SAY ~I see, you are one of them. Ahem. Listen, I only do this with women and he place of my beloved is busy by Clairis. I don't see her with you. I beg you to resurrect her also.~
  ++ ~Join my party and prove your loyality, Daerthmac, maybe I decide to resurrect her for you.~ + briefingJoinNCf  
  ++ ~You are free. You can go anywhere you like. As for Clairis, I will think about her later.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV2mnc
  SAY ~I see, you are one of them. Ahem. Listen, I only do this with women and he place of my beloved is busy by Clairis.~
  ++ ~Join my party and prove your loyality, Daerthmac, as Clairis did. You will be together there.~ + briefingJoinNCf  
  ++ ~You are free. You can go anywhere you like.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV2fnc
  SAY ~My lady, I understand you. My graceful beauty and mind makes women go out of mind. But the place of my beloved is busy by Clairis.~
  ++ ~Join my party and prove your loyality, Daerthmac, as Clairis did. You will be together there.~ + briefingJoinCf  
  ++ ~You are free. You can go anywhere you like.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END




IF ~~ briefingJoinNCf
  SAY ~Better than to die. Don't forget your words about Clairis. I miss her.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("DaerthmacResurrected","GLOBAL",2)
  DestroyItem("VVHDAERT")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket	
	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)  
	 SetGlobal("TalkedSurrender","LOCALS",2)
	 		  SetDialog("LORDVAMP")
  JoinParty()
  ~ EXIT
END

IF ~~ briefingJoinNCm
  SAY ~Better than to die. Don't forget your words about Clairis. I miss her.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("DaerthmacResurrected","GLOBAL",2)
  DestroyItem("VVHDAERT")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket	
	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)  
	 SetGlobal("TalkedSurrender","LOCALS",2)
	  SetDialog("LORDVAMP")
  JoinParty()
  ~ EXIT
END

IF ~~ briefingJoinCf
  SAY ~Better than to die. Clairis, my love, I'm going with you.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("DaerthmacResurrected","GLOBAL",3)
  DestroyItem("VVHDAERT")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket
	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)  
	  SetDialog("LORDVAMP")
	  SetGlobal("TalkedSurrender","LOCALS",2)
  JoinParty()
  ~ EXIT
END

IF ~~ briefingJoinCm
  SAY ~Better than to die. Clairis, my love, I'm going with you.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("DaerthmacResurrected","GLOBAL",3)
  DestroyItem("VVHDAERT")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket	
	 SetGlobal("DaerthmacJoinsParty","GLOBAL",1)  
	 SetGlobal("TalkedSurrender","LOCALS",2)
	  SetDialog("LORDVAMP")
  JoinParty()
  ~ EXIT
END



IF ~~ briefingFightf
  SAY ~I will show you your place, woman!~
  IF ~~ THEN DO ~SetGlobal("DaerthmacResurrected","GLOBAL",2)
  LeaveParty()
Enemy()
ActionOverride("clairis",LeaveParty())
ActionOverride("clairis",Enemy())
SetGlobal("TalkedSurrender","LOCALS",2)
~ EXIT
END


IF ~~ briefingFightm
  SAY ~I will show you your place, puppy!~
  IF ~~ THEN DO ~SetGlobal("DaerthmacResurrected","GLOBAL",2)
  LeaveParty()
Enemy()
ActionOverride("clairis",LeaveParty())
ActionOverride("clairis",Enemy())

SetGlobal("TalkedSurrender","LOCALS",2)
~ EXIT
END


IF ~~ briefingFreef
  SAY ~Goodbye, woman.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("DaerthmacResurrected","GLOBAL",3)
DestroySelf()
ActionOverride("clairis",LeaveParty())
ActionOverride("clairis",EscapeArea())
SetGlobal("TalkedSurrender","LOCALS",2)
~ EXIT
END

IF ~~ briefingFreem
  SAY ~Goodbye, man.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("DaerthmacResurrected","GLOBAL",3)
DestroySelf()
ActionOverride("clairis",LeaveParty())
ActionOverride("clairis",EscapeArea())
SetGlobal("TalkedSurrender","LOCALS",2)~ EXIT
END

//when thrown out


IF ~~ notparty2f
SAY ~Women sure like meanless talks.~
IF ~~ THEN DO ~~ EXIT
END

IF ~~ notparty2m
SAY ~Women sure like meanless talks.~
IF ~~ THEN DO ~~ EXIT
END



IF ~Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Yes, woman. What can I do for you?~ 
 IF ~BeenInParty("lordvamp")~ THEN REPLY ~Come with me, Daerthmac, woman needs your skills.~ GOTO notparty1f
 IF ~BeenInParty("lordvamp")
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST 
    IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to your former castle, Daerthmac. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~Stay here, Daerthmac, I will return.~ + notparty2f
  ++ ~You are free to go. I release you.~ + briefingFreef  
 ++ ~I decided to end your life.~ + briefingFightf
END


IF ~!Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Yes, man?~ 
 IF ~BeenInParty("lordvamp")~ THEN REPLY ~Come with me, Daerthmac, there are enemies to crush.~ GOTO notparty1m
 IF ~BeenInParty("lordvamp")
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
     IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to your former castle, Daerthmac. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~Stay here, Daerthmac, I will return.~ + notparty2m
  ++ ~You are free to go. I release you.~ + briefingFreem 
 ++ ~I decided to end your life.~ + briefingFightm
END


IF ~~ notparty1m
  SAY ~I'm going.~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notparty1f
  SAY ~I'm going.~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~See you there.~
   IF ~~ THEN DO ~MakeGlobal()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[536.788],S)~ EXIT
 END  

IF ~~ vampStrongholdST1
  SAY ~See you there.~
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[2656.1026],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[2856.886],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3114.1397],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3283.1654],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3433.1654],W)~ EXIT
 IF ~~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3433.1543],W)~ EXIT
END

// talk in party

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, what?~ 
 ++ ~Are you hungry? You can suck my blood, Daerthmac.~ + suckblood
 IF ~!Race(Player1,VAMPIRE)~ THEN REPLY ~Make me a vampire, Daerthmac.~ GOTO vampconvm 
 ++ ~Tell me your story, Daerthmac.~ + talkDaerthmacM
 IF ~Global("ClairisDaertBabyTalk","GLOBAL",0)~ THEN REPLY ~Tell me, Daerthmac, why did you steal baby of Ghastkill?~ GOTO talkDaerthmacBabyM
  IF ~BeenInParty("lordvamp")
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
     IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to your former castle, Daerthmac. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~No, nothing right now, Daerthmac. Sorry.~ + byesilent
   ++ ~I decided to kill you.~ + briefingFightm
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, what?~ 
 ++ ~Are you hungry? You can suck my blood, Daerthmac.~ + suckblood
 IF ~!Race(Player1,VAMPIRE)~ THEN REPLY ~Make me a vampire, Daerthmac.~ GOTO vampconvf 
 ++ ~Tell me your story, Daerthmac.~ +   talkDaerthmacF
 IF ~Global("ClairisDaertBabyTalk","GLOBAL",0)~ THEN REPLY ~Tell me, Daerthmac, why did you steal baby of Ghastkill?~ GOTO talkDaerthmacBabyF
  IF ~BeenInParty("lordvamp")
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
     IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to your former castle, Daerthmac. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~No, nothing right now, Daerthmac. Sorry for disturbance.~ + byesilentf
   ++ ~I decided to kill you.~ + briefingFightf
END

IF ~~ byesilent
SAY ~I prefer women, you know, man.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ byesilentf
SAY ~My lady, it's okay.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkDaerthmacM
  SAY ~I am a noble from ancient and once powerful bloodline. I live for four hundred years. And I outlived my bloodline. So my life recently became boring, and I almost couldn't bear lonelyness.~
  IF ~~ THEN GOTO talkDaerthmacM2
END

IF ~~ talkDaerthmacM2
  SAY ~Then I met Clairis. Strong woman with strong will and catchy mind of strategist. I just couldn't kill her, as I do with my food. I fallen in love with her and proposed her to become immortal. She agreed. Finally my life had gained a reason and I decided to start my old plans.~
  IF ~~ THEN GOTO talkDaerthmacM3
END

IF ~~ talkDaerthmacM3
  SAY ~My dream is about vampires ruling the world of humans. We have all requirements for this. And our immortality will provide stability and order.~
  IF ~~ THEN EXIT
END



IF ~~ talkDaerthmacF
  SAY ~I am a noble from ancient and once powerful bloodline. I live for four hundred years. And I outlived my bloodline. So my life recently became boring, and I almost couldn't bear lonelyness.~
  IF ~~ THEN GOTO talkDaerthmacF2
END

IF ~~ talkDaerthmacF2
  SAY ~Then I met Clairis. Strong woman with strong will and catchy mind of strategist. I just couldn't kill her, as I do with my food. I fallen in love with her and proposed her to become immortal. She agreed. Finally my life had gained a reason and I decided to start my old plans.~
  IF ~~ THEN GOTO talkDaerthmacF3
END

IF ~~ talkDaerthmacF3
  SAY ~My dream is about vampires ruling the world of humans. We have all requirements for this. And our immortality will provide stability and order.~
  IF ~~ THEN EXIT
END




IF ~~ suckblood
  SAY ~I like good drinks!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~No, not this thing!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~It's good I am alive!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,95,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
  ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Daerthmac comes closer and unexpectedly tightly squeezes you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Daerthmac comes closer and gently embraces you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel his teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Daerthmac.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of lord Daerthmac. Daerthmac is centered on former power of his family.)~

  IF ~~ THEN DO ~  
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,STR,1,ADD)
		ChangeStat(Player1,CON,0,ADD)
		ChangeStat(Player1,WIS,-1,ADD)
		ChangeStat(Player1,INT,1,ADD)
	

		SetGlobal("DaerthmacVampirized","GLOBAL",1)	
	~ EXIT
END

IF ~~ talkDaerthmacBabyF
  SAY ~Ghastkills have very strong blood relation to my family. I am a vampire and can't be officially declared as owner of my castle. So I decided to steal Ghastkills baby, raise him as my son, so he will adore his undead parents and servants, and make him the only successor to my family assets. You see, woman, we didn't mean to kill him or harm him.~
  IF ~~ THEN DO ~SetGlobal("ClairisDaertBabyTalk","GLOBAL",1)~ EXIT
END



IF ~~ talkDaerthmacBabyM
  SAY ~Ghastkills have very strong blood relation to my family. I am a vampire and can't be officially declared as owner of my castle. So I decided to steal Ghastkills baby, raise him as my son, so he will adore his undead parents and servants, and make him the only successor to my family assets. You see, woman, we didn't mean to kill him or harm him.~
  IF ~~ THEN DO ~SetGlobal("ClairisDaertBabyTalk","GLOBAL",1)~ EXIT
END


INTERJECT LORDVAMP talkDaerthmacF2 ClairisTalksAboutHusband
  == CLAIRIS     IF ~IsValidForPartyDialog("LORDVAMP")
IsValidForPartyDialog("CLAIRIS")~ THEN
~My beloved, thank you for your words! I love you too!~
END LORDVAMP talkDaerthmacF3

